EX_ON(3)

FUNCTION
ex_on - Extract boolean value from string.

SYNOPSIS
#include <karma_ex.h>

int ex_on

(CONST char **ptr)

DESCRIPTION
This routine will extract a boolean value from string. The first command is skipped.

ptr A pointer to the string to extract from. This is advanced to the next word in the string if the current word matches "on" or "off".

RETURN VALUE
TRUE unless the word is "off".

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/